require 'thor'
module Oneday
  module Command

    class Oneday < Thor
      desc "hello NAME", "say hello to NAME"
      def hello(name = "teddy")
        puts "Hello #{name}"
      end

      desc "NOTE_CONTENT", "record a note to oneday"
      option :project
      def record(content)
        puts "I will record #{content} with project #{options[:project]}"
        project = Project.where(name: options[:project]).first || Project.create(name: options[:project])
        note = Note.new(content: content)
        note.save
        project.add_note(note)
        notes = Note.all
        puts notes.inspect
      end

      desc "LIST_NOTES", "list maybe today's notes"
      def list
        Note.new(content: "demo").save
        notes = Note.all
        puts notes.inspect
      end

      default_task :hello
    end

  end
end
