require "sequel"
DB = Sequel.sqlite

# init db schema  

DB.create_table :projects do
  primary_key :id
  String :name
  int :project_id
end

DB.create_table :notes do
  primary_key :id
  String :content
  foreign_key :project_id, :projects
end

require "oneday/model/project"
require "oneday/model/note"

module Oneday

end
